Subject: Re: [PATCH v7 0/3] Introduce git-last-modified(1) command

From: Jean-Noël AVILA <[email-masked]>
Date: Tue, 05 Aug 2025 19:20:05 +0200

On Tuesday, 5 August 2025 18:55:14 CEST Toon Claes wrote:
> Junio C Hamano <[email-masked]> writes:
> > I am happy with the updates, but am wondering if documentation
> > update along the lines of attached patch is also needed.
> 
> Ah (annoyed grunt), I should have added backticks. Yes. I missed those,
> sorry about that.
> 
> > I am not sure about the last two, i.e. things that are not dash+option
> > appearing as enumeration labels, though (and Cc'ing Jean-Noël to ask
> > for help).
> 
> Well, this gave me a nice opportunity to test Jean-Noël proposed docs
> linter[1].
> 
>     $ make check-docs
>     [snip
>     git-last-modified.adoc:25: '-r::' synopsis style and definition list 
item not
> backquoted git-last-modified.adoc:26: '--recursive::' synopsis style and
> definition list item not backquoted git-last-modified.adoc:30: '-t::' 
synopsis
> style and definition list item not backquoted git-last-modified.adoc:31:
> '--show-trees::' synopsis style and definition list item not backquoted
> 
> It seems only dashed options should be backquoted.
> 
> [1]: https://lore.kernel.org/git/pull.1945.git.
[email-masked]/

Well, the check fails to catch all the missing cases: The last two terms 
should also be formatted. For the <revision-range>, you can either enclose it 
with underscores (as a placeholder) or with backticks (which the formatter 
formats like a placeholder). For the last one, backticks are definitely needed 
to differentiate the formatting between the placeholder and the syntax marks.

As for my patch series, this can definitely be checked. will reroll.

Thanks

Jean-Noël